Trouble with my R4i card on new dsi

Discussion in 'R4 DS' started by heidiprincess13, Oct 29, 2011.

Oct 29, 2011
  1. heidiprincess13
    OP

    Newcomer heidiprincess13 Newbie

    Joined:
    Sep 26, 2010
    Messages:
    6
    Country:
    United Kingdom
    Hi i am having a lot of trouble with my r4i cards. my sons have had the dsi and dsi xl and had one card each that worked, they normally played the r4i card on the dsi which they have had since 2009. they were under warranty and have both been replaced after a bowl of cereal covered them both in milk. i went to the shop and they gave the boys a brand new ones. the r4i works in the dsi xl but not in the dsi. can anyone help me with this. i dont know much about the whole r4i downloads and kernal stuff, but my boys are desperate to get their r4's working again.

    thank you in advance.
     
  2. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    So, it works on the XL, but not on the dsi? It's probably a contact issue; try cleaning your carts' contacts.

    EDIT: The dsi, whether XL or regular, run on the same firmware. I think that the XL is on a recent firmware (which blocks flashcarts) while your dsi is on a older firmware (which your r4i cart still works on). Could you tell us the firmware for both dsi's?
     
  3. heidiprincess13
    OP

    Newcomer heidiprincess13 Newbie

    Joined:
    Sep 26, 2010
    Messages:
    6
    Country:
    United Kingdom
    where would i find the firmware?
     
  4. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    I'm not sure (as I don't have a dsi) but I think you can find it on System Options or the like. It'll be three numbers separated by periods and your dsi's state (x.x.x-E)
     
  5. heidiprincess13
    OP

    Newcomer heidiprincess13 Newbie

    Joined:
    Sep 26, 2010
    Messages:
    6
    Country:
    United Kingdom
    it says ver 1.4.3
     
  6. s4mid4re

    Member s4mid4re  

    Joined:
    Apr 2, 2011
    Messages:
    1,669
    Country:
    United States
    That's dsi's latest firmware; it's possible that your cart is blocked. You can upgrade your cart's bootstrap (the game that fakes it as a legit game card) by downloading and installing the update provided by your flashcart's website (make sure you get it from your cart's website). If your flashcart's website doesn't have an update that supports dsi 1.4.3, then you'll have to get a better cart (like acekard 2i or SuperCard DSTwo) that supports the latest dsi firmware.
     

Share This Page